Name:           iwd
Version:        0.3
Release:        1%{?dist}
Summary:        Wireless daemon for Linux
License:        LGPLv2+
URL:            https://lists.01.org/mailman/listinfo/iwd
Source0:        https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  readline-devel
BuildRequires:  asciidoc
BuildRequires:  libtool

Requires:       dbus
Requires:       systemd

Provides:       bundled(libell) = 0.5


%description
The daemon and utilities for controlling and configuring the Wi-Fi network
hardware.


%prep
%setup -q


%build
%configure --enable-docs
%make_build V=1


%install
%make_install
install tools/hwsim %{buildroot}%{_bindir}


%files
%{_bindir}/iwctl
%{_bindir}/iwmon
%{_bindir}/hwsim
%{_libexecdir}/iwd
%{_unitdir}/iwd.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_mandir}/man1/iwmon.1*
%doc AUTHORS README TODO ChangeLog
%license COPYING


%changelog
* Mon Jun 25 2018 Lubomir Rintel <lkundrak@v3.sk> - 0.3
- Update to 0.3 release

* Mon May 14 2018 Lubomir Rintel <lkundrak@v3.sk> - 0.2
- Update to 0.2 release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-0.3.20171026git569be48
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 29 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.0-0.2.20171026git569be48
- Update to a later snapshot

* Sun Oct 22 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.0-0.2.20171022git2c56501
- Added BR gcc
- Made build verbose
- Fixed license tag
- Addressed review issues (Robert-André Mauchin, #1505238):
- Dropped Group tag
- Added license and documentation texts

* Sun Oct 22 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.0-0.1.20171022git2c56501
- Initial packaging
